<?
/*
 Copyright (C) 2002 MandrakeSoft SA
 
 This program may be distributed and/or
 modified under the terms of the GNU General Public
 License version 2 as published by the Free Software Foundation
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.
 
 Licensees holding valid MandrakeSecurity MNF Commercial License may use this
 file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
 provided with the Software.
 
 See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
*/ 

//try to disable the browser cache
header ("Expires: Mon, 26 Jul 1997 05:00:00 GMT");	// Date in the past
header ("Last-Modified: " .$date ." GMT"); 		// always modified
header ("Cache-Control: no-cache, must-revalidate");	// HTTP/1.1
header ("Pragma: no-cache");				// HTTP/1.0


require_once ("/var/www-naat/html/php/path.php");
require_once (CLASSFILE);
define("HTML", "html_includes");
define("FIRSTPAGE", 'firstpage.php');

$date = gmdate("D, d M Y H:i:s");

// ------------------------------ SESSION CHECKS
$session = new Session;			
$session_msg = $session->surf();	

if($session_msg != "true") {
	$session->error("$session_msg");
	exit;
}
// ------------------------------



$navbar = new navbar;
$navbar->make($where);
	
	
// Setup the page
include(HTML.'/inc-header1.html');

// Vertical navbar goes here
foreach ($navbar->vnav as $out) {
	print $out;
}

include(HTML.'/inc-header2.html');

// Horizontal navbar goes here
if ($navbar->hnav){
	foreach($navbar->hnav as $out) {
		print $out;
	}
}

include(HTML.'/inc-header3.html');

// Main stuff goes here
if ($navbar->title) {
	print "<h1>".$navbar->title."</h1>\n";
}

// Print warning if needed (don't use the "back" button !)
if ($warning) {
	print '<p class="warning">Please use the navigation bar below, or the index on the left.<br>
Do NOT use the "back" or "forward" buttons of your browser !</p>';
}

if ($loadfile) {
	if (file_exists($loadfile)) {
		$md5 = $mdk_sessid;	// old stuff by the boulets uses the var '$md5' and not '$mdk_sessid'
		include ($loadfile);
	} else { 
		print "<h1>Could not load needed file</h1>\n"; 
	}
} else if (file_exists(FIRSTPAGE)) {	// no loadfile supplied
	include (FIRSTPAGE);
}

if ($session_msg != "true") {	// session problem
	print "<p> Session error : ".$session_msg."</p>\n";
	print '<p align="center"><img src="images/separator.png" width="555" height="2"></p>';
}

include(HTML."/inc-header4.html");

?>
